register_check_parameters(
    subgroup_os,
    "ntnx_vm_pd",
    _("NTNX VM Protection status"),
    Dictionary(
        optional_keys = False,
        elements = [
           ( "None",
              MonitoringState(
                  title = _("Not protected"),
                  default_value = 1,
              )
           ),
        ]
    ),
    None,
    "dict",
)

register_check_parameters(
    subgroup_os,
    "ntnx_vm_ngt",
    _("NTNX VM Guest Tools"),
    Dictionary(
        optional_keys = False,
        elements = [
           ( "False",
              MonitoringState(
                  title = _("Nutanix Guest Tools are Disabled"),
                  default_value = 1,
              )
           ),
        ]
    ),
    None,
    "dict",
)

register_check_parameters(
    subgroup_storage,
    "ntnx_fs",
    _("Nutanix Filesystem"),
    Dictionary(
        elements = [
           ( "ntnx_fs",
              Tuple(
                  title = _("Level for Filesystem"),
                  elements = [
                      Integer(title = _("Warning at"), unit = _("%"), default_value = 75),
                      Integer(title = _("Critical at"), unit = _("%"), default_value = 85),
                  ]
              )
           ),
        ],
    ),
    TextAscii(
        title = _("Mount Point"),
        allow_empty = False
    ),
    "dict",
)

register_check_parameters(
    subgroup_os,
    "ntnx_rsc",
    _("Nutanix Cluster Resources"),
    Dictionary(
        elements = [
           ( "ntnx_cpu",
              Tuple(
                  title = _("Level for CPU"),
                  elements = [
                      Integer(title = _("Warning at"), unit = _("%"), default_value = 75),
                      Integer(title = _("Critical at"), unit = _("%"), default_value = 85),
                  ]
              )
           ),
           ( "ntnx_mem",
              Tuple(
                  title = _("Level for Memory"),
                  elements = [
                      Integer(title = _("Warning at"), unit = _("%"), default_value = 75),
                      Integer(title = _("Critical at"), unit = _("%"), default_value = 85),
                  ]
              )
           ),
        ],
    ),
    None,
    "dict",
)
